Status: Resolved Priority: Must have
Author: Karsten Dambekalns Category: Reflection
Created: 2011-12-14 Assigned To: Robert Lemke
Updated: 2011-12-21 Due date:
PHP Version:
Has patch: No
Complexity: nightmare
Subject: Optimize ReflectionService
Description

The ReflectionService is slow and uses a whole lot of memory. That needs to be enhanced.

Related issues:
related to TYPO3.Flow - Bug # 32530: forgetClass() cannot forget classes that... Resolved 2011-12-14

Associated revisions
Revision 97af40ea - 2011-12-16 17:26 - Christopher Hlubek

[FEATURE] Optimized Reflection Service

A new Reflection Service which specifically supports development and
production scenarios. While the development version is tailored to
flexibility and partial flushing, the production variant works with
frozen caches and loads per-class information only on demand.

Memory consumption in Production context will be notably lower and also
the overall performance is better.

This change set updates but also removes several unit tests. Those
removed should be replaced by a more meaningful and better maintainable
functional test.

Resolves: #32531
Fixes: #32530
Releases: 1.1
Change-Id: Idbaa7906dcdad82131eaf74a8dbfa371b78fe94e

History
#1 - 2011-12-14 10:50 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 4 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/7243

#2 - 2011-12-16 14:31 - Gerrit Code Review

Patch set 5 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/7243

#3 - 2011-12-16 16:31 - Gerrit Code Review

Patch set 6 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/7243

#4 - 2011-12-16 17:10 - Gerrit Code Review

Patch set 9 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/7243

#5 - 2011-12-16 17:27 - Gerrit Code Review

Patch set 10 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/7243

#6 - 2011-12-19 18:36 - Christopher Hlubek
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:97af40ea290fd29a875f67bf641399d32b75d0b0.

#7 - 2011-12-21 12:38 - Karsten Dambekalns
- Target version changed from 1.1 to 1.1 beta 1
